# My Project: readers::json Namespace Reference

Loading...
Searching...
No Matches
readers::json Namespace Reference

## Typedefs

using | JSON = nlohmann::json
using | OrderQueue = std::queue<trading::Order>

## Functions

OrderQueue | read_orders_from_json (const std::string &filename)

## Typedef Documentation

## JSON

using readers::json::JSON = nlohmann::json

## OrderQueue

using readers::json::OrderQueue = std::queue<trading::Order>

## Function Documentation

## read_orders_from_json()

OrderQueue readers::json::read_orders_from_json | ( | const std::string & | filename | ) |

Referenced by Algo::generate_orders(), and Algo::process().

Here is the caller graph for this function: